import json
from datetime import datetime, timedelta

first_begin_time = 100
last_time = 200
current_time = 300

partition_word = 'datety'
partition_format = '%Y-%m-%d'
partition_diff = 1

last_key = '${ {lastTime} }'
current_key = '${currentTime})'
partition_key = '${partition}'

now = datetime.utcfromtimestamp(datetime.timestamp(datetime.now())) + timedelta(hours=8, days=partition_diff)
partition_value = f'partition_word={now.strftime(partition_format)}'

datax_config_str = ""

last_time = last_time or first_begin_time
datax_config_str = datax_config_str.replace(last_key, f'{last_time}')
datax_config_str = datax_config_str.replace(current_key, f'{current_time}')
datax_config_str = datax_config_str.replace(partition_key, partition_value)

with open('config.json', 'wb') as f:
    f.write(datax_config_str)
